PresenterFunctions.PerfilPacienteFunctions

com.uva.rafael.tfg_goniometer.interfaces

## Interface PresenterFunctions.PerfilPacienteFunctions

- All Known Implementing Classes:
    PerfilPacientePresenter
  Enclosing interface:
    PresenterFunctions

      public static interface PresenterFunctions.PerfilPacienteFunctions

  Interfaz correspondiente al Presentador `PerfilPacientePresenter`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mostrarInformacionPaciente(java.lang.String nombre, int id)` Metodo que se encarga de obtener la informacion relativa a un paciente a partir del nombre y el id del mismo, mediante una consulta a la Base de Datos.
    `void` | `mostrarMedicionesPaciente(java.lang.String nombre, int id)` Metodo que se encarga de obtener todas las mediciones que se han realizado sobre el paciente en cuestion, introducirlas en objetos de tipo `TableRow` dandoles un formato adecuado, para que se puedan mostrar correctamente en la pantalla del dispositivo, y enviarlas de vuelta a la Vista (`PerfilPacienteFragment`) para que las añada al objeto `TableLayout` que se utiliza para mostrar las mediciones del paciente.
    `void` | `onAlmacenarMedicionClicked(java.lang.String nombrePaciente, int idPaciente, double lecturaGoniometro, java.lang.String fechaHora)` Evento `ClickListener` que se llama cuando el usuario ha pulsado sobre el boton para añadir una nueva medicion en el `PerfilPacienteFragment`.
    `void` | `onCreate()` Metodo que se encarga de enviar a la Vista (`PerfilPacienteFragment`) los nombres de las constantes para obtener los parametros de tipo `Bundle` recibidos en la creacion del `Fragment`.
    `void` | `onCreateView()` Metodo que se encarga de notificar a la Vista (`PerfilPacienteFragment`) si es necesario mostrar el boton para añadir una nueva medicion al paciente actual o no.
    `void` | `onDeletePatientClicked(java.lang.String nombre, int id)` Evento `ClickListener` que se llama cuando el usuario ha pulsado sobre el boton para borrar el perfil del paciente en el `PerfilPacienteFragment`.

- - ### Method Detail

    - #### onCreate

          void onCreate()

      Metodo que se encarga de enviar a la Vista (`PerfilPacienteFragment`) los nombres de las constantes para obtener los parametros de tipo `Bundle` recibidos en la creacion del `Fragment`.

    - #### onAlmacenarMedicionClicked

          void onAlmacenarMedicionClicked(java.lang.String nombrePaciente,
                                          int idPaciente,
                                          double lecturaGoniometro,
                                          java.lang.String fechaHora)

      Evento `ClickListener` que se llama cuando el usuario ha pulsado sobre el boton para añadir una nueva medicion en el `PerfilPacienteFragment`.

      Crea un nuevo `Fragment` de tipo `NuevaMedicionFragment`.

      Parameters:
        `nombrePaciente` - Nombre del paciente al que se le quiere añadir la medicion
        `idPaciente` - ID del paciente al que se le quiere añadir la medicion
        `lecturaGoniometro` - Lectura del goniometro obtenida durante la medicion
        `fechaHora` - Fecha y hora en la que se realizo la medicion

    - #### mostrarInformacionPaciente

          void mostrarInformacionPaciente(java.lang.String nombre,
                                          int id)

      Metodo que se encarga de obtener la informacion relativa a un paciente a partir del nombre y el id del mismo, mediante una consulta a la Base de Datos. Posteriormente, envia esta informacion a la Vista (`PerfilPacienteFragment`) para que se la muestre al usuario.
      Parameters:
        `nombre` - Nombre del paciente
        `id` - ID del paciente

    - #### mostrarMedicionesPaciente

          void mostrarMedicionesPaciente(java.lang.String nombre,
                                         int id)

      Metodo que se encarga de obtener todas las mediciones que se han realizado sobre el paciente en cuestion, introducirlas en objetos de tipo `TableRow` dandoles un formato adecuado, para que se puedan mostrar correctamente en la pantalla del dispositivo, y enviarlas de vuelta a la Vista (`PerfilPacienteFragment`) para que las añada al objeto `TableLayout` que se utiliza para mostrar las mediciones del paciente.
      Parameters:
        `nombre` - Nombre del paciente del que recuperar las mediciones
        `id` - ID del paciente del que recuperar las mediciones

    - #### onDeletePatientClicked

          void onDeletePatientClicked(java.lang.String nombre,
                                      int id)

      Evento `ClickListener` que se llama cuando el usuario ha pulsado sobre el boton para borrar el perfil del paciente en el `PerfilPacienteFragment`.

      Se encarga de crear un dialogo que envia a la Vista para que se lo muestre al usuario, con el fin de confirmar que quiere borrar el paciente junto con todas las mediciones que se le han realizado.

      Si el usuario confirma que desea eliminar el perfil del paciente, el metodo se encarga de borrar el `Fragment` actual y mostrar el listado de pacientes actualizado con el paciente ya eliminado.

      Parameters:
        `nombre` - Nombre del paciente a eliminar
        `id` - ID del paciente a eliminar

    - #### onCreateView

          void onCreateView()

      Metodo que se encarga de notificar a la Vista (`PerfilPacienteFragment`) si es necesario mostrar el boton para añadir una nueva medicion al paciente actual o no.